diff --git a/en/resources/admin/index.md b/en/resources/admin/index.md index 1d12c4b3..83665bce 100644 --- a/en/resources/admin/index.md +++ b/en/resources/admin/index.md @@ -160,7 +160,7 @@ List organization API keys ### Query Parameters -- `after: optional string` +- `after: optional string or null` Return keys with IDs that come after this ID in the pagination order. @@ -188,7 +188,7 @@ List organization API keys The Unix timestamp (in seconds) of when the API key was created - - `expires_at: number` + - `expires_at: number or null` The Unix timestamp (in seconds) of when the API key expires @@ -228,11 +228,11 @@ List organization API keys The redacted value of the API key - - `last_used_at: optional number` + - `last_used_at: optional number or null` The Unix timestamp (in seconds) of when the API key was last used - - `name: optional string` + - `name: optional string or null` The name of the API key @@ -242,9 +242,9 @@ List organization API keys - `"list"` -- `first_id: optional string` +- `first_id: optional string or null` -- `last_id: optional string` +- `last_id: optional string or null` ### Example @@ -347,7 +347,7 @@ Retrieve a single organization API key The Unix timestamp (in seconds) of when the API key was created - - `expires_at: number` + - `expires_at: number or null` The Unix timestamp (in seconds) of when the API key expires @@ -387,11 +387,11 @@ Retrieve a single organization API key The redacted value of the API key - - `last_used_at: optional number` + - `last_used_at: optional number or null` The Unix timestamp (in seconds) of when the API key was last used - - `name: optional string` + - `name: optional string or null` The name of the API key @@ -469,7 +469,7 @@ curl https://api.openai.com/v1/organization/admin_api_keys/key_abc \ The Unix timestamp (in seconds) of when the API key was created - - `expires_at: number` + - `expires_at: number or null` The Unix timestamp (in seconds) of when the API key expires @@ -509,11 +509,11 @@ curl https://api.openai.com/v1/organization/admin_api_keys/key_abc \ The redacted value of the API key - - `last_used_at: optional number` + - `last_used_at: optional number or null` The Unix timestamp (in seconds) of when the API key was last used - - `name: optional string` + - `name: optional string or null` The name of the API key @@ -1193,7 +1193,7 @@ List user actions and configuration changes within this organization. - `"tenant.workspace_invite_email_settings.updated"` - - `actor: optional object { api_key, session, type }` + - `actor: optional object { api_key, session, type } or null` The actor who performed the audit logged action. @@ -2167,9 +2167,9 @@ List user actions and configuration changes within this organization. - `"list"` -- `first_id: optional string` +- `first_id: optional string or null` -- `last_id: optional string` +- `last_id: optional string or null` ### Example @@ -2917,7 +2917,7 @@ curl https://api.openai.com/v1/organization/audit_logs \ - `"tenant.workspace_invite_email_settings.updated"` - - `actor: optional object { api_key, session, type }` + - `actor: optional object { api_key, session, type } or null` The actor who performed the audit logged action. @@ -3925,7 +3925,7 @@ You can atomically and idempotently activate up to 10 certificates at a time. The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -4064,7 +4064,7 @@ Organizations can upload up to 50 certificates. The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -4179,7 +4179,7 @@ You can atomically and idempotently deactivate up to 10 certificates at a time. The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -4379,7 +4379,7 @@ List uploaded certificates for this organization. The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -4389,11 +4389,11 @@ List uploaded certificates for this organization. - `"organization.certificate"` -- `first_id: string` +- `first_id: string or null` - `has_more: boolean` -- `last_id: string` +- `last_id: string or null` - `object: "list"` @@ -4509,7 +4509,7 @@ You can get a certificate regardless of whether it is active or not. The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -4622,7 +4622,7 @@ Modify a certificate. Note that only the name can be modified. The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -4726,7 +4726,7 @@ curl -X POST https://api.openai.com/v1/organization/certificates/cert_abc \ The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -4776,7 +4776,7 @@ curl -X POST https://api.openai.com/v1/organization/certificates/cert_abc \ The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -4814,7 +4814,7 @@ curl -X POST https://api.openai.com/v1/organization/certificates/cert_abc \ The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -4866,7 +4866,7 @@ curl -X POST https://api.openai.com/v1/organization/certificates/cert_abc \ The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -5261,7 +5261,7 @@ Lists all groups in the organization. Whether additional groups are available when paginating. -- `next: string` +- `next: string or null` Cursor to fetch the next page of results, or `null` if there are no more results. @@ -5615,7 +5615,7 @@ Assigns an organization role to a group within the organization. Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -5810,7 +5810,7 @@ Lists the organization roles assigned to a group within the organization. Identifier for the role. - - `assignment_sources: array of object { principal_id, principal_type }` + - `assignment_sources: array of object { principal_id, principal_type } or null` Principals from which the role assignment is inherited, when available. @@ -5818,23 +5818,23 @@ Lists the organization roles assigned to a group within the organization. - `principal_type: string` - - `created_at: number` + - `created_at: number or null` When the role was created. - - `created_by: string` + - `created_by: string or null` Identifier of the actor who created the role. - - `created_by_user_obj: map[unknown]` + - `created_by_user_obj: map[unknown] or null` User details for the actor that created the role, when available. - - `description: string` + - `description: string or null` Description of the role. - - `metadata: map[unknown]` + - `metadata: map[unknown] or null` Arbitrary metadata stored on the role. @@ -5854,7 +5854,7 @@ Lists the organization roles assigned to a group within the organization. Resource type the role applies to. - - `updated_at: number` + - `updated_at: number or null` When the role was last updated. @@ -5862,7 +5862,7 @@ Lists the organization roles assigned to a group within the organization. Whether additional assignments are available when paginating. -- `next: string` +- `next: string or null` Cursor to fetch the next page of results, or `null` when there are no more assignments. @@ -5974,7 +5974,7 @@ Retrieves an organization role assigned to a group. Identifier for the role. -- `assignment_sources: array of object { principal_id, principal_type }` +- `assignment_sources: array of object { principal_id, principal_type } or null` Principals from which the role assignment is inherited, when available. @@ -5982,23 +5982,23 @@ Retrieves an organization role assigned to a group. - `principal_type: string` -- `created_at: number` +- `created_at: number or null` When the role was created. -- `created_by: string` +- `created_by: string or null` Identifier of the actor who created the role. -- `created_by_user_obj: map[unknown]` +- `created_by_user_obj: map[unknown] or null` User details for the actor that created the role, when available. -- `description: string` +- `description: string or null` Description of the role. -- `metadata: map[unknown]` +- `metadata: map[unknown] or null` Arbitrary metadata stored on the role. @@ -6018,7 +6018,7 @@ Retrieves an organization role assigned to a group. Resource type the role applies to. -- `updated_at: number` +- `updated_at: number or null` When the role was last updated. @@ -6137,7 +6137,7 @@ curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/roles/rol Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -6187,7 +6187,7 @@ curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/roles/rol Identifier for the role. - - `assignment_sources: array of object { principal_id, principal_type }` + - `assignment_sources: array of object { principal_id, principal_type } or null` Principals from which the role assignment is inherited, when available. @@ -6195,23 +6195,23 @@ curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/roles/rol - `principal_type: string` - - `created_at: number` + - `created_at: number or null` When the role was created. - - `created_by: string` + - `created_by: string or null` Identifier of the actor who created the role. - - `created_by_user_obj: map[unknown]` + - `created_by_user_obj: map[unknown] or null` User details for the actor that created the role, when available. - - `description: string` + - `description: string or null` Description of the role. - - `metadata: map[unknown]` + - `metadata: map[unknown] or null` Arbitrary metadata stored on the role. @@ -6231,7 +6231,7 @@ curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/roles/rol Resource type the role applies to. - - `updated_at: number` + - `updated_at: number or null` When the role was last updated. @@ -6245,7 +6245,7 @@ curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/roles/rol Identifier for the role. - - `assignment_sources: array of object { principal_id, principal_type }` + - `assignment_sources: array of object { principal_id, principal_type } or null` Principals from which the role assignment is inherited, when available. @@ -6253,23 +6253,23 @@ curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/roles/rol - `principal_type: string` - - `created_at: number` + - `created_at: number or null` When the role was created. - - `created_by: string` + - `created_by: string or null` Identifier of the actor who created the role. - - `created_by_user_obj: map[unknown]` + - `created_by_user_obj: map[unknown] or null` User details for the actor that created the role, when available. - - `description: string` + - `description: string or null` Description of the role. - - `metadata: map[unknown]` + - `metadata: map[unknown] or null` Arbitrary metadata stored on the role. @@ -6289,7 +6289,7 @@ curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/roles/rol Resource type the role applies to. - - `updated_at: number` + - `updated_at: number or null` When the role was last updated. @@ -6465,7 +6465,7 @@ Lists the users assigned to a group. The identifier, which can be referenced in API endpoints - - `email: string` + - `email: string or null` The email address of the user. @@ -6477,7 +6477,7 @@ Lists the users assigned to a group. Whether more users are available when paginating. -- `next: string` +- `next: string or null` Cursor to fetch the next page of results, or `null` when no further users are available. @@ -6554,11 +6554,11 @@ Retrieves a user in a group. Identifier for the user. -- `email: string` +- `email: string or null` Email address of the user, or `null` for users without an email. -- `is_service_account: boolean` +- `is_service_account: boolean or null` Whether the user is a service account. @@ -6566,7 +6566,7 @@ Retrieves a user in a group. Display name of the user. -- `picture: string` +- `picture: string or null` URL of the user's profile picture, if available. @@ -6631,7 +6631,7 @@ curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/users/use The identifier, which can be referenced in API endpoints - - `email: string` + - `email: string or null` The email address of the user. @@ -6685,11 +6685,11 @@ curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/users/use Identifier for the user. - - `email: string` + - `email: string or null` Email address of the user, or `null` for users without an email. - - `is_service_account: boolean` + - `is_service_account: boolean or null` Whether the user is a service account. @@ -6697,7 +6697,7 @@ curl https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ/users/use Display name of the user. - - `picture: string` + - `picture: string or null` URL of the user's profile picture, if available. @@ -6805,11 +6805,11 @@ Create an invite for a user to the organization. The invite must be accepted by - `"pending"` - - `accepted_at: optional number` + - `accepted_at: optional number or null` The Unix timestamp (in seconds) of when the invite was accepted. - - `expires_at: optional number` + - `expires_at: optional number or null` The Unix timestamp (in seconds) of when the invite expires. @@ -7023,11 +7023,11 @@ Returns a list of invites in the organization. - `"pending"` - - `accepted_at: optional number` + - `accepted_at: optional number or null` The Unix timestamp (in seconds) of when the invite was accepted. - - `expires_at: optional number` + - `expires_at: optional number or null` The Unix timestamp (in seconds) of when the invite expires. @@ -7041,11 +7041,11 @@ Returns a list of invites in the organization. - `"list"` -- `first_id: optional string` +- `first_id: optional string or null` The first `invite_id` in the retrieved `list` -- `last_id: optional string` +- `last_id: optional string or null` The last `invite_id` in the retrieved `list` @@ -7184,11 +7184,11 @@ Retrieves an invite. - `"pending"` - - `accepted_at: optional number` + - `accepted_at: optional number or null` The Unix timestamp (in seconds) of when the invite was accepted. - - `expires_at: optional number` + - `expires_at: optional number or null` The Unix timestamp (in seconds) of when the invite expires. @@ -7303,11 +7303,11 @@ curl https://api.openai.com/v1/organization/invites/invite-abc \ - `"pending"` - - `accepted_at: optional number` + - `accepted_at: optional number or null` The Unix timestamp (in seconds) of when the invite was accepted. - - `expires_at: optional number` + - `expires_at: optional number or null` The Unix timestamp (in seconds) of when the invite expires. @@ -7357,19 +7357,19 @@ Archives a project in the organization. Archived projects cannot be used or upda - `"organization.project"` - - `archived_at: optional number` + - `archived_at: optional number or null` The Unix timestamp (in seconds) of when the project was archived or `null`. - - `external_key_id: optional string` + - `external_key_id: optional string or null` The external key associated with the project. - - `name: optional string` + - `name: optional string or null` The name of the project. This appears in reporting. - - `status: optional string` + - `status: optional string or null` `active` or `archived` @@ -7428,11 +7428,11 @@ Create a new project in the organization. Projects can be created and archived, The friendly name of the project, this name appears in reports. -- `external_key_id: optional string` +- `external_key_id: optional string or null` External key ID to associate with the project. -- `geography: optional string` +- `geography: optional string or null` Create the project with the specified data residency region. Your organization must have access to Data residency functionality in order to use. See [data residency controls](/docs/guides/your-data#data-residency-controls) to review the functionality and limitations of setting this field. @@ -7456,19 +7456,19 @@ Create a new project in the organization. Projects can be created and archived, - `"organization.project"` - - `archived_at: optional number` + - `archived_at: optional number or null` The Unix timestamp (in seconds) of when the project was archived or `null`. - - `external_key_id: optional string` + - `external_key_id: optional string or null` The external key associated with the project. - - `name: optional string` + - `name: optional string or null` The name of the project. This appears in reporting. - - `status: optional string` + - `status: optional string or null` `active` or `archived` @@ -7559,19 +7559,19 @@ Returns a list of projects. - `"organization.project"` - - `archived_at: optional number` + - `archived_at: optional number or null` The Unix timestamp (in seconds) of when the project was archived or `null`. - - `external_key_id: optional string` + - `external_key_id: optional string or null` The external key associated with the project. - - `name: optional string` + - `name: optional string or null` The name of the project. This appears in reporting. - - `status: optional string` + - `status: optional string or null` `active` or `archived` @@ -7581,9 +7581,9 @@ Returns a list of projects. - `"list"` -- `first_id: optional string` +- `first_id: optional string or null` -- `last_id: optional string` +- `last_id: optional string or null` ### Example @@ -7673,19 +7673,19 @@ Retrieves a project. - `"organization.project"` - - `archived_at: optional number` + - `archived_at: optional number or null` The Unix timestamp (in seconds) of when the project was archived or `null`. - - `external_key_id: optional string` + - `external_key_id: optional string or null` The external key associated with the project. - - `name: optional string` + - `name: optional string or null` The name of the project. This appears in reporting. - - `status: optional string` + - `status: optional string or null` `active` or `archived` @@ -7743,15 +7743,15 @@ Modifies a project in the organization. ### Body Parameters -- `external_key_id: optional string` +- `external_key_id: optional string or null` External key ID to associate with the project. -- `geography: optional string` +- `geography: optional string or null` Geography for the project. -- `name: optional string` +- `name: optional string or null` The updated name of the project, this name appears in reports. @@ -7775,19 +7775,19 @@ Modifies a project in the organization. - `"organization.project"` - - `archived_at: optional number` + - `archived_at: optional number or null` The Unix timestamp (in seconds) of when the project was archived or `null`. - - `external_key_id: optional string` + - `external_key_id: optional string or null` The external key associated with the project. - - `name: optional string` + - `name: optional string or null` The name of the project. This appears in reporting. - - `status: optional string` + - `status: optional string or null` `active` or `archived` @@ -7847,19 +7847,19 @@ curl -X POST https://api.openai.com/v1/organization/projects/proj_abc \ - `"organization.project"` - - `archived_at: optional number` + - `archived_at: optional number or null` The Unix timestamp (in seconds) of when the project was archived or `null`. - - `external_key_id: optional string` + - `external_key_id: optional string or null` The external key associated with the project. - - `name: optional string` + - `name: optional string or null` The name of the project. This appears in reporting. - - `status: optional string` + - `status: optional string or null` `active` or `archived` @@ -7968,7 +7968,7 @@ Returns a list of API keys in the project. The Unix timestamp (in seconds) of when the API key was created - - `last_used_at: number` + - `last_used_at: number or null` The Unix timestamp (in seconds) of when the API key was last used. @@ -8054,9 +8054,9 @@ Returns a list of API keys in the project. - `"list"` -- `first_id: optional string` +- `first_id: optional string or null` -- `last_id: optional string` +- `last_id: optional string or null` ### Example @@ -8169,7 +8169,7 @@ Retrieves an API key in the project. The Unix timestamp (in seconds) of when the API key was created - - `last_used_at: number` + - `last_used_at: number or null` The Unix timestamp (in seconds) of when the API key was last used. @@ -8346,7 +8346,7 @@ curl https://api.openai.com/v1/organization/projects/proj_abc/api_keys/key_abc \ The Unix timestamp (in seconds) of when the API key was created - - `last_used_at: number` + - `last_used_at: number or null` The Unix timestamp (in seconds) of when the API key was last used. @@ -8470,7 +8470,7 @@ You can atomically and idempotently activate up to 10 certificates at a time. The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -8604,7 +8604,7 @@ idempotently deactivate up to 10 certificates at a time. The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -8751,7 +8751,7 @@ List certificates for this project. The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -8761,11 +8761,11 @@ List certificates for this project. - `"organization.project.certificate"` -- `first_id: string` +- `first_id: string or null` - `has_more: boolean` -- `last_id: string` +- `last_id: string or null` - `object: "list"` @@ -8863,7 +8863,7 @@ curl https://api.openai.com/v1/organization/projects/proj_abc/certificates \ The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -8901,7 +8901,7 @@ curl https://api.openai.com/v1/organization/projects/proj_abc/certificates \ The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -8939,7 +8939,7 @@ curl https://api.openai.com/v1/organization/projects/proj_abc/certificates \ The Unix timestamp (in seconds) of when the certificate was uploaded. - - `name: string` + - `name: string or null` The name of the certificate. @@ -9381,7 +9381,7 @@ Lists the groups that have access to a project. Whether additional project group memberships are available. -- `next: string` +- `next: string or null` Cursor to fetch the next page of results, or `null` when there are no more results. @@ -9660,7 +9660,7 @@ Assigns a project role to a group within a project. Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -9859,7 +9859,7 @@ Lists the project roles assigned to a group within a project. Identifier for the role. - - `assignment_sources: array of object { principal_id, principal_type }` + - `assignment_sources: array of object { principal_id, principal_type } or null` Principals from which the role assignment is inherited, when available. @@ -9867,23 +9867,23 @@ Lists the project roles assigned to a group within a project. - `principal_type: string` - - `created_at: number` + - `created_at: number or null` When the role was created. - - `created_by: string` + - `created_by: string or null` Identifier of the actor who created the role. - - `created_by_user_obj: map[unknown]` + - `created_by_user_obj: map[unknown] or null` User details for the actor that created the role, when available. - - `description: string` + - `description: string or null` Description of the role. - - `metadata: map[unknown]` + - `metadata: map[unknown] or null` Arbitrary metadata stored on the role. @@ -9903,7 +9903,7 @@ Lists the project roles assigned to a group within a project. Resource type the role applies to. - - `updated_at: number` + - `updated_at: number or null` When the role was last updated. @@ -9911,7 +9911,7 @@ Lists the project roles assigned to a group within a project. Whether additional assignments are available when paginating. -- `next: string` +- `next: string or null` Cursor to fetch the next page of results, or `null` when there are no more assignments. @@ -10025,7 +10025,7 @@ Retrieves a project role assigned to a group. Identifier for the role. -- `assignment_sources: array of object { principal_id, principal_type }` +- `assignment_sources: array of object { principal_id, principal_type } or null` Principals from which the role assignment is inherited, when available. @@ -10033,23 +10033,23 @@ Retrieves a project role assigned to a group. - `principal_type: string` -- `created_at: number` +- `created_at: number or null` When the role was created. -- `created_by: string` +- `created_by: string or null` Identifier of the actor who created the role. -- `created_by_user_obj: map[unknown]` +- `created_by_user_obj: map[unknown] or null` User details for the actor that created the role, when available. -- `description: string` +- `description: string or null` Description of the role. -- `metadata: map[unknown]` +- `metadata: map[unknown] or null` Arbitrary metadata stored on the role. @@ -10069,7 +10069,7 @@ Retrieves a project role assigned to a group. Resource type the role applies to. -- `updated_at: number` +- `updated_at: number or null` When the role was last updated. @@ -10188,7 +10188,7 @@ curl https://api.openai.com/v1/projects/proj_abc123/groups/group_01J1F8ABCDXYZ/r Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -10238,7 +10238,7 @@ curl https://api.openai.com/v1/projects/proj_abc123/groups/group_01J1F8ABCDXYZ/r Identifier for the role. - - `assignment_sources: array of object { principal_id, principal_type }` + - `assignment_sources: array of object { principal_id, principal_type } or null` Principals from which the role assignment is inherited, when available. @@ -10246,23 +10246,23 @@ curl https://api.openai.com/v1/projects/proj_abc123/groups/group_01J1F8ABCDXYZ/r - `principal_type: string` - - `created_at: number` + - `created_at: number or null` When the role was created. - - `created_by: string` + - `created_by: string or null` Identifier of the actor who created the role. - - `created_by_user_obj: map[unknown]` + - `created_by_user_obj: map[unknown] or null` User details for the actor that created the role, when available. - - `description: string` + - `description: string or null` Description of the role. - - `metadata: map[unknown]` + - `metadata: map[unknown] or null` Arbitrary metadata stored on the role. @@ -10282,7 +10282,7 @@ curl https://api.openai.com/v1/projects/proj_abc123/groups/group_01J1F8ABCDXYZ/r Resource type the role applies to. - - `updated_at: number` + - `updated_at: number or null` When the role was last updated. @@ -10296,7 +10296,7 @@ curl https://api.openai.com/v1/projects/proj_abc123/groups/group_01J1F8ABCDXYZ/r Identifier for the role. - - `assignment_sources: array of object { principal_id, principal_type }` + - `assignment_sources: array of object { principal_id, principal_type } or null` Principals from which the role assignment is inherited, when available. @@ -10304,23 +10304,23 @@ curl https://api.openai.com/v1/projects/proj_abc123/groups/group_01J1F8ABCDXYZ/r - `principal_type: string` - - `created_at: number` + - `created_at: number or null` When the role was created. - - `created_by: string` + - `created_by: string or null` Identifier of the actor who created the role. - - `created_by_user_obj: map[unknown]` + - `created_by_user_obj: map[unknown] or null` User details for the actor that created the role, when available. - - `description: string` + - `description: string or null` Description of the role. - - `metadata: map[unknown]` + - `metadata: map[unknown] or null` Arbitrary metadata stored on the role. @@ -10340,7 +10340,7 @@ curl https://api.openai.com/v1/projects/proj_abc123/groups/group_01J1F8ABCDXYZ/r Resource type the role applies to. - - `updated_at: number` + - `updated_at: number or null` When the role was last updated. @@ -10473,7 +10473,7 @@ Updates hosted tool permissions for a project. ### Body Parameters -- `code_interpreter: optional object { enabled }` +- `code_interpreter: optional object { enabled } or null` The code interpreter permission update. @@ -10481,7 +10481,7 @@ Updates hosted tool permissions for a project. Whether to enable the hosted tool for the project. -- `file_search: optional object { enabled }` +- `file_search: optional object { enabled } or null` The file search permission update. @@ -10489,7 +10489,7 @@ Updates hosted tool permissions for a project. Whether to enable the hosted tool for the project. -- `image_generation: optional object { enabled }` +- `image_generation: optional object { enabled } or null` The image generation permission update. @@ -10497,7 +10497,7 @@ Updates hosted tool permissions for a project. Whether to enable the hosted tool for the project. -- `mcp: optional object { enabled }` +- `mcp: optional object { enabled } or null` The MCP permission update. @@ -10505,7 +10505,7 @@ Updates hosted tool permissions for a project. Whether to enable the hosted tool for the project. -- `web_search: optional object { enabled }` +- `web_search: optional object { enabled } or null` The web search permission update. @@ -11028,9 +11028,9 @@ Returns the rate limits per model for a project. - `"list"` -- `first_id: optional string` +- `first_id: optional string or null` -- `last_id: optional string` +- `last_id: optional string or null` ### Example @@ -11291,7 +11291,7 @@ Creates a custom role for a project. Unique name for the role. -- `description: optional string` +- `description: optional string or null` Optional description of the role. @@ -11305,7 +11305,7 @@ Creates a custom role for a project. Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -11496,7 +11496,7 @@ Lists the roles configured for a project. Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -11526,7 +11526,7 @@ Lists the roles configured for a project. Whether more roles are available when paginating. -- `next: string` +- `next: string or null` Cursor to fetch the next page of results, or `null` when there are no additional roles. @@ -11620,7 +11620,7 @@ Retrieves a project role. Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -11708,15 +11708,15 @@ Updates an existing project role. ### Body Parameters -- `description: optional string` +- `description: optional string or null` New description for the role. -- `permissions: optional array of string` +- `permissions: optional array of string or null` Updated set of permissions for the role. -- `role_name: optional string` +- `role_name: optional string or null` New name for the role. @@ -11730,7 +11730,7 @@ Updates an existing project role. Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -11854,7 +11854,7 @@ Creates a new service account in the project. By default, this also returns an u The name of the service account being created. -- `create_service_account_only: optional boolean` +- `create_service_account_only: optional boolean or null` Create the service account without default roles or an API key. @@ -11862,7 +11862,7 @@ Creates a new service account in the project. By default, this also returns an u - `id: string` -- `api_key: object { id, created_at, name, 2 more }` +- `api_key: object { id, created_at, name, 2 more } or null` - `id: string` @@ -12073,9 +12073,9 @@ Returns a list of service accounts in the project. - `"list"` -- `first_id: optional string` +- `first_id: optional string or null` -- `last_id: optional string` +- `last_id: optional string or null` ### Example @@ -12364,7 +12364,7 @@ curl -X POST https://api.openai.com/v1/organization/projects/proj_abc/service_ac - `id: string` - - `api_key: object { id, created_at, name, 2 more }` + - `api_key: object { id, created_at, name, 2 more } or null` - `id: string` @@ -12572,7 +12572,7 @@ Creates a project spend alert. - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -12616,7 +12616,7 @@ Creates a project spend alert. - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -12839,7 +12839,7 @@ Lists project spend alerts. - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -12853,7 +12853,7 @@ Lists project spend alerts. The alert threshold amount, in cents. -- `first_id: string` +- `first_id: string or null` The ID of the first spend alert in this page. @@ -12861,7 +12861,7 @@ Lists project spend alerts. Whether more spend alerts are available when paginating. -- `last_id: string` +- `last_id: string or null` The ID of the last spend alert in this page. @@ -12986,7 +12986,7 @@ Retrieves a project spend alert. - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -13091,7 +13091,7 @@ Updates a project spend alert. - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -13135,7 +13135,7 @@ Updates a project spend alert. - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -13260,7 +13260,7 @@ curl -X POST https://api.openai.com/v1/organization/projects/proj_abc/spend_aler - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -13380,6 +13380,8 @@ Get a project's hard spend limit. - `"USD"` + The currency for the threshold amount. Currently, only `USD` is supported. + - `"USD"` - `enforcement: object { status }` @@ -13408,6 +13410,8 @@ Get a project's hard spend limit. - `"month"` + The time interval for evaluating spend against the threshold. Currently, only `month` is supported. + - `"month"` - `object: "project.spend_limit"` @@ -13505,6 +13509,8 @@ Create or replace a project's hard spend limit. - `"USD"` + The currency for the threshold amount. Currently, only `USD` is supported. + - `"USD"` - `enforcement: object { status }` @@ -13533,6 +13539,8 @@ Create or replace a project's hard spend limit. - `"month"` + The time interval for evaluating spend against the threshold. Currently, only `month` is supported. + - `"month"` - `object: "project.spend_limit"` @@ -13615,6 +13623,8 @@ curl -X POST https://api.openai.com/v1/organization/projects/proj_abc/spend_limi - `"USD"` + The currency for the threshold amount. Currently, only `USD` is supported. + - `"USD"` - `enforcement: object { status }` @@ -13643,6 +13653,8 @@ curl -X POST https://api.openai.com/v1/organization/projects/proj_abc/spend_limi - `"month"` + The time interval for evaluating spend against the threshold. Currently, only `month` is supported. + - `"month"` - `object: "project.spend_limit"` @@ -13689,11 +13701,11 @@ Adds a user to the project. Users must already be members of the organization to `owner` or `member` -- `email: optional string` +- `email: optional string or null` Email of the user to add. -- `user_id: optional string` +- `user_id: optional string or null` The ID of the user. @@ -13721,11 +13733,11 @@ Adds a user to the project. Users must already be members of the organization to `owner` or `member` - - `email: optional string` + - `email: optional string or null` The email address of the user - - `name: optional string` + - `name: optional string or null` The name of the user @@ -13880,11 +13892,11 @@ Returns a list of users in the project. `owner` or `member` - - `email: optional string` + - `email: optional string or null` The email address of the user - - `name: optional string` + - `name: optional string or null` The name of the user @@ -13892,9 +13904,9 @@ Returns a list of users in the project. - `object: string` -- `first_id: optional string` +- `first_id: optional string or null` -- `last_id: optional string` +- `last_id: optional string or null` ### Example @@ -13989,11 +14001,11 @@ Retrieves a user in the project. `owner` or `member` - - `email: optional string` + - `email: optional string or null` The email address of the user - - `name: optional string` + - `name: optional string or null` The name of the user @@ -14052,7 +14064,7 @@ Modifies a user's role in the project. ### Body Parameters -- `role: optional string` +- `role: optional string or null` `owner` or `member` @@ -14080,11 +14092,11 @@ Modifies a user's role in the project. `owner` or `member` - - `email: optional string` + - `email: optional string or null` The email address of the user - - `name: optional string` + - `name: optional string or null` The name of the user @@ -14160,11 +14172,11 @@ curl -X POST https://api.openai.com/v1/organization/projects/proj_abc/users/user `owner` or `member` - - `email: optional string` + - `email: optional string or null` The email address of the user - - `name: optional string` + - `name: optional string or null` The name of the user @@ -14216,7 +14228,7 @@ Assigns a project role to a user within a project. Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -14260,7 +14272,7 @@ Assigns a project role to a user within a project. - `"organization.user"` - - `api_key_last_used_at: optional number` + - `api_key_last_used_at: optional number or null` The Unix timestamp (in seconds) of the user's last API key usage. @@ -14268,11 +14280,11 @@ Assigns a project role to a user within a project. The Unix timestamp (in seconds) of when the user was created. - - `developer_persona: optional string` + - `developer_persona: optional string or null` The developer persona metadata for the user. - - `email: optional string` + - `email: optional string or null` The email address of the user @@ -14280,7 +14292,7 @@ Assigns a project role to a user within a project. Whether this is the organization's default user. - - `is_scale_tier_authorized_purchaser: optional boolean` + - `is_scale_tier_authorized_purchaser: optional boolean or null` Whether the user is an authorized purchaser for Scale Tier. @@ -14292,31 +14304,31 @@ Assigns a project role to a user within a project. Whether the user is a service account. - - `name: optional string` + - `name: optional string or null` The name of the user - - `projects: optional object { data, object }` + - `projects: optional object { data, object } or null` Projects associated with the user, if included. - `data: array of object { id, name, role }` - - `id: optional string` + - `id: optional string or null` - - `name: optional string` + - `name: optional string or null` - - `role: optional string` + - `role: optional string or null` - `object: "list"` - `"list"` - - `role: optional string` + - `role: optional string or null` `owner` or `reader` - - `technical_level: optional string` + - `technical_level: optional string or null` The technical level metadata for the user. @@ -14330,17 +14342,17 @@ Assigns a project role to a user within a project. - `"user"` - - `banned: optional boolean` + - `banned: optional boolean or null` - - `banned_at: optional number` + - `banned_at: optional number or null` - - `email: optional string` + - `email: optional string or null` - - `enabled: optional boolean` + - `enabled: optional boolean or null` - - `name: optional string` + - `name: optional string or null` - - `picture: optional string` + - `picture: optional string or null` ### Example @@ -14545,7 +14557,7 @@ Lists the project roles assigned to a user within a project. Identifier for the role. - - `assignment_sources: array of object { principal_id, principal_type }` + - `assignment_sources: array of object { principal_id, principal_type } or null` Principals from which the role assignment is inherited, when available. @@ -14553,23 +14565,23 @@ Lists the project roles assigned to a user within a project. - `principal_type: string` - - `created_at: number` + - `created_at: number or null` When the role was created. - - `created_by: string` + - `created_by: string or null` Identifier of the actor who created the role. - - `created_by_user_obj: map[unknown]` + - `created_by_user_obj: map[unknown] or null` User details for the actor that created the role, when available. - - `description: string` + - `description: string or null` Description of the role. - - `metadata: map[unknown]` + - `metadata: map[unknown] or null` Arbitrary metadata stored on the role. @@ -14589,7 +14601,7 @@ Lists the project roles assigned to a user within a project. Resource type the role applies to. - - `updated_at: number` + - `updated_at: number or null` When the role was last updated. @@ -14597,7 +14609,7 @@ Lists the project roles assigned to a user within a project. Whether additional assignments are available when paginating. -- `next: string` +- `next: string or null` Cursor to fetch the next page of results, or `null` when there are no more assignments. @@ -14711,7 +14723,7 @@ Retrieves a project role assigned to a user. Identifier for the role. -- `assignment_sources: array of object { principal_id, principal_type }` +- `assignment_sources: array of object { principal_id, principal_type } or null` Principals from which the role assignment is inherited, when available. @@ -14719,23 +14731,23 @@ Retrieves a project role assigned to a user. - `principal_type: string` -- `created_at: number` +- `created_at: number or null` When the role was created. -- `created_by: string` +- `created_by: string or null` Identifier of the actor who created the role. -- `created_by_user_obj: map[unknown]` +- `created_by_user_obj: map[unknown] or null` User details for the actor that created the role, when available. -- `description: string` +- `description: string or null` Description of the role. -- `metadata: map[unknown]` +- `metadata: map[unknown] or null` Arbitrary metadata stored on the role. @@ -14755,7 +14767,7 @@ Retrieves a project role assigned to a user. Resource type the role applies to. -- `updated_at: number` +- `updated_at: number or null` When the role was last updated. @@ -14848,7 +14860,7 @@ curl https://api.openai.com/v1/projects/proj_abc123/users/user_abc123/roles/role Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -14892,7 +14904,7 @@ curl https://api.openai.com/v1/projects/proj_abc123/users/user_abc123/roles/role - `"organization.user"` - - `api_key_last_used_at: optional number` + - `api_key_last_used_at: optional number or null` The Unix timestamp (in seconds) of the user's last API key usage. @@ -14900,11 +14912,11 @@ curl https://api.openai.com/v1/projects/proj_abc123/users/user_abc123/roles/role The Unix timestamp (in seconds) of when the user was created. - - `developer_persona: optional string` + - `developer_persona: optional string or null` The developer persona metadata for the user. - - `email: optional string` + - `email: optional string or null` The email address of the user @@ -14912,7 +14924,7 @@ curl https://api.openai.com/v1/projects/proj_abc123/users/user_abc123/roles/role Whether this is the organization's default user. - - `is_scale_tier_authorized_purchaser: optional boolean` + - `is_scale_tier_authorized_purchaser: optional boolean or null` Whether the user is an authorized purchaser for Scale Tier. @@ -14924,31 +14936,31 @@ curl https://api.openai.com/v1/projects/proj_abc123/users/user_abc123/roles/role Whether the user is a service account. - - `name: optional string` + - `name: optional string or null` The name of the user - - `projects: optional object { data, object }` + - `projects: optional object { data, object } or null` Projects associated with the user, if included. - `data: array of object { id, name, role }` - - `id: optional string` + - `id: optional string or null` - - `name: optional string` + - `name: optional string or null` - - `role: optional string` + - `role: optional string or null` - `object: "list"` - `"list"` - - `role: optional string` + - `role: optional string or null` `owner` or `reader` - - `technical_level: optional string` + - `technical_level: optional string or null` The technical level metadata for the user. @@ -14962,17 +14974,17 @@ curl https://api.openai.com/v1/projects/proj_abc123/users/user_abc123/roles/role - `"user"` - - `banned: optional boolean` + - `banned: optional boolean or null` - - `banned_at: optional number` + - `banned_at: optional number or null` - - `email: optional string` + - `email: optional string or null` - - `enabled: optional boolean` + - `enabled: optional boolean or null` - - `name: optional string` + - `name: optional string or null` - - `picture: optional string` + - `picture: optional string or null` ### Role Delete Response @@ -14998,7 +15010,7 @@ curl https://api.openai.com/v1/projects/proj_abc123/users/user_abc123/roles/role Identifier for the role. - - `assignment_sources: array of object { principal_id, principal_type }` + - `assignment_sources: array of object { principal_id, principal_type } or null` Principals from which the role assignment is inherited, when available. @@ -15006,23 +15018,23 @@ curl https://api.openai.com/v1/projects/proj_abc123/users/user_abc123/roles/role - `principal_type: string` - - `created_at: number` + - `created_at: number or null` When the role was created. - - `created_by: string` + - `created_by: string or null` Identifier of the actor who created the role. - - `created_by_user_obj: map[unknown]` + - `created_by_user_obj: map[unknown] or null` User details for the actor that created the role, when available. - - `description: string` + - `description: string or null` Description of the role. - - `metadata: map[unknown]` + - `metadata: map[unknown] or null` Arbitrary metadata stored on the role. @@ -15042,7 +15054,7 @@ curl https://api.openai.com/v1/projects/proj_abc123/users/user_abc123/roles/role Resource type the role applies to. - - `updated_at: number` + - `updated_at: number or null` When the role was last updated. @@ -15056,7 +15068,7 @@ curl https://api.openai.com/v1/projects/proj_abc123/users/user_abc123/roles/role Identifier for the role. - - `assignment_sources: array of object { principal_id, principal_type }` + - `assignment_sources: array of object { principal_id, principal_type } or null` Principals from which the role assignment is inherited, when available. @@ -15064,23 +15076,23 @@ curl https://api.openai.com/v1/projects/proj_abc123/users/user_abc123/roles/role - `principal_type: string` - - `created_at: number` + - `created_at: number or null` When the role was created. - - `created_by: string` + - `created_by: string or null` Identifier of the actor who created the role. - - `created_by_user_obj: map[unknown]` + - `created_by_user_obj: map[unknown] or null` User details for the actor that created the role, when available. - - `description: string` + - `description: string or null` Description of the role. - - `metadata: map[unknown]` + - `metadata: map[unknown] or null` Arbitrary metadata stored on the role. @@ -15100,7 +15112,7 @@ curl https://api.openai.com/v1/projects/proj_abc123/users/user_abc123/roles/role Resource type the role applies to. - - `updated_at: number` + - `updated_at: number or null` When the role was last updated. @@ -15122,7 +15134,7 @@ Creates a custom role for the organization. Unique name for the role. -- `description: optional string` +- `description: optional string or null` Optional description of the role. @@ -15136,7 +15148,7 @@ Creates a custom role for the organization. Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -15321,7 +15333,7 @@ Lists the roles configured for the organization. Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -15351,7 +15363,7 @@ Lists the roles configured for the organization. Whether more roles are available when paginating. -- `next: string` +- `next: string or null` Cursor to fetch the next page of results, or `null` when there are no additional roles. @@ -15443,7 +15455,7 @@ Retrieves an organization role. Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -15529,15 +15541,15 @@ Updates an existing organization role. ### Body Parameters -- `description: optional string` +- `description: optional string or null` New description for the role. -- `permissions: optional array of string` +- `permissions: optional array of string or null` Updated set of permissions for the role. -- `role_name: optional string` +- `role_name: optional string or null` New name for the role. @@ -15551,7 +15563,7 @@ Updates an existing organization role. Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -15647,7 +15659,7 @@ curl -X POST https://api.openai.com/v1/organization/roles/role_01J1F8ROLE01 \ Identifier for the role. - - `description: string` + - `description: string or null` Optional description of the role. @@ -15729,7 +15741,7 @@ Creates an organization spend alert. - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -15773,7 +15785,7 @@ Creates an organization spend alert. - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -15990,7 +16002,7 @@ Lists organization spend alerts. - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -16004,7 +16016,7 @@ Lists organization spend alerts. The alert threshold amount, in cents. -- `first_id: string` +- `first_id: string or null` The ID of the first spend alert in this page. @@ -16012,7 +16024,7 @@ Lists organization spend alerts. Whether more spend alerts are available when paginating. -- `last_id: string` +- `last_id: string or null` The ID of the last spend alert in this page. @@ -16135,7 +16147,7 @@ Retrieves an organization spend alert. - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -16238,7 +16250,7 @@ Updates an organization spend alert. - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -16282,7 +16294,7 @@ Updates an organization spend alert. - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -16407,7 +16419,7 @@ curl -X POST https://api.openai.com/v1/organization/spend_alerts/alert_abc123 \ - `"email"` - - `subject_prefix: optional string` + - `subject_prefix: optional string or null` Optional subject prefix for alert emails. @@ -16519,6 +16531,8 @@ Get the organization's hard spend limit. - `"USD"` + The currency for the threshold amount. Currently, only `USD` is supported. + - `"USD"` - `enforcement: object { status }` @@ -16547,6 +16561,8 @@ Get the organization's hard spend limit. - `"month"` + The time interval for evaluating spend against the threshold. Currently, only `month` is supported. + - `"month"` - `object: "organization.spend_limit"` @@ -16640,6 +16656,8 @@ Create or replace the organization's hard spend limit. - `"USD"` + The currency for the threshold amount. Currently, only `USD` is supported. + - `"USD"` - `enforcement: object { status }` @@ -16668,6 +16686,8 @@ Create or replace the organization's hard spend limit. - `"month"` + The time interval for evaluating spend against the threshold. Currently, only `month` is supported. + - `"month"` - `object: "organization.spend_limit"` @@ -16750,6 +16770,8 @@ curl -X POST https://api.openai.com/v1/organization/spend_limit \ - `"USD"` + The currency for the threshold amount. Currently, only `USD` is supported. + - `"USD"` - `enforcement: object { status }` @@ -16778,6 +16800,8 @@ curl -X POST https://api.openai.com/v1/organization/spend_limit \ - `"month"` + The time interval for evaluating spend against the threshold. Currently, only `month` is supported. + - `"month"` - `object: "organization.spend_limit"` @@ -16906,11 +16930,11 @@ Get audio speeches usage details for the organization. The aggregated number of output tokens used across text, audio, and image outputs. For customers subscribed to Scale Tier, this includes Scale Tier tokens. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `batch: optional boolean` + - `batch: optional boolean or null` When `group_by=batch`, this field tells whether the grouped usage result is batch or not. @@ -16950,7 +16974,7 @@ Get audio speeches usage details for the organization. The aggregated number of uncached input tokens used across text, audio, and image inputs, excluding cache-write tokens. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. @@ -16966,15 +16990,15 @@ Get audio speeches usage details for the organization. The aggregated number of text output tokens used. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `service_tier: optional string` + - `service_tier: optional string or null` When `group_by=service_tier`, this field provides the service tier of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -16994,19 +17018,19 @@ Get audio speeches usage details for the organization. - `"organization.usage.embeddings.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17026,19 +17050,19 @@ Get audio speeches usage details for the organization. - `"organization.usage.moderations.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17058,27 +17082,27 @@ Get audio speeches usage details for the organization. - `"organization.usage.images.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `size: optional string` + - `size: optional string or null` When `group_by=size`, this field provides the image size of the grouped usage result. - - `source: optional string` + - `source: optional string or null` When `group_by=source`, this field provides the source of the grouped usage result, possible values are `image.generation`, `image.edit`, `image.variation`. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17098,19 +17122,19 @@ Get audio speeches usage details for the organization. - `"organization.usage.audio_speeches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17130,19 +17154,19 @@ Get audio speeches usage details for the organization. The number of seconds processed. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17158,7 +17182,7 @@ Get audio speeches usage details for the organization. The vector stores usage in bytes. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. @@ -17174,7 +17198,7 @@ Get audio speeches usage details for the organization. - `"organization.usage.code_interpreter_sessions.result"` - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. @@ -17190,19 +17214,19 @@ Get audio speeches usage details for the organization. - `"organization.usage.file_searches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. - - `vector_store_id: optional string` + - `vector_store_id: optional string or null` When `group_by=vector_store_id`, this field provides the vector store ID of the grouped usage result. @@ -17222,23 +17246,23 @@ Get audio speeches usage details for the organization. - `"organization.usage.web_searches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `context_level: optional string` + - `context_level: optional string or null` When `group_by=context_level`, this field provides the search context size of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17262,19 +17286,19 @@ Get audio speeches usage details for the organization. The numeric value of the cost. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API Key ID of the grouped costs result. - - `line_item: optional string` + - `line_item: optional string or null` When `group_by=line_item`, this field provides the line item of the grouped costs result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped costs result. - - `quantity: optional number` + - `quantity: optional number or null` When `group_by=line_item`, this field provides the quantity of the grouped costs result. @@ -17282,7 +17306,7 @@ Get audio speeches usage details for the organization. - `has_more: boolean` -- `next_page: string` +- `next_page: string or null` - `object: "page"` @@ -17472,11 +17496,11 @@ Get audio transcriptions usage details for the organization. The aggregated number of output tokens used across text, audio, and image outputs. For customers subscribed to Scale Tier, this includes Scale Tier tokens. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `batch: optional boolean` + - `batch: optional boolean or null` When `group_by=batch`, this field tells whether the grouped usage result is batch or not. @@ -17516,7 +17540,7 @@ Get audio transcriptions usage details for the organization. The aggregated number of uncached input tokens used across text, audio, and image inputs, excluding cache-write tokens. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. @@ -17532,15 +17556,15 @@ Get audio transcriptions usage details for the organization. The aggregated number of text output tokens used. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `service_tier: optional string` + - `service_tier: optional string or null` When `group_by=service_tier`, this field provides the service tier of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17560,19 +17584,19 @@ Get audio transcriptions usage details for the organization. - `"organization.usage.embeddings.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17592,19 +17616,19 @@ Get audio transcriptions usage details for the organization. - `"organization.usage.moderations.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17624,27 +17648,27 @@ Get audio transcriptions usage details for the organization. - `"organization.usage.images.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `size: optional string` + - `size: optional string or null` When `group_by=size`, this field provides the image size of the grouped usage result. - - `source: optional string` + - `source: optional string or null` When `group_by=source`, this field provides the source of the grouped usage result, possible values are `image.generation`, `image.edit`, `image.variation`. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17664,19 +17688,19 @@ Get audio transcriptions usage details for the organization. - `"organization.usage.audio_speeches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17696,19 +17720,19 @@ Get audio transcriptions usage details for the organization. The number of seconds processed. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17724,7 +17748,7 @@ Get audio transcriptions usage details for the organization. The vector stores usage in bytes. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. @@ -17740,7 +17764,7 @@ Get audio transcriptions usage details for the organization. - `"organization.usage.code_interpreter_sessions.result"` - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. @@ -17756,19 +17780,19 @@ Get audio transcriptions usage details for the organization. - `"organization.usage.file_searches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. - - `vector_store_id: optional string` + - `vector_store_id: optional string or null` When `group_by=vector_store_id`, this field provides the vector store ID of the grouped usage result. @@ -17788,23 +17812,23 @@ Get audio transcriptions usage details for the organization. - `"organization.usage.web_searches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `context_level: optional string` + - `context_level: optional string or null` When `group_by=context_level`, this field provides the search context size of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -17828,19 +17852,19 @@ Get audio transcriptions usage details for the organization. The numeric value of the cost. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API Key ID of the grouped costs result. - - `line_item: optional string` + - `line_item: optional string or null` When `group_by=line_item`, this field provides the line item of the grouped costs result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped costs result. - - `quantity: optional number` + - `quantity: optional number or null` When `group_by=line_item`, this field provides the quantity of the grouped costs result. @@ -17848,7 +17872,7 @@ Get audio transcriptions usage details for the organization. - `has_more: boolean` -- `next_page: string` +- `next_page: string or null` - `object: "page"` @@ -18020,11 +18044,11 @@ Get code interpreter sessions usage details for the organization. The aggregated number of output tokens used across text, audio, and image outputs. For customers subscribed to Scale Tier, this includes Scale Tier tokens. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `batch: optional boolean` + - `batch: optional boolean or null` When `group_by=batch`, this field tells whether the grouped usage result is batch or not. @@ -18064,7 +18088,7 @@ Get code interpreter sessions usage details for the organization. The aggregated number of uncached input tokens used across text, audio, and image inputs, excluding cache-write tokens. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. @@ -18080,15 +18104,15 @@ Get code interpreter sessions usage details for the organization. The aggregated number of text output tokens used. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `service_tier: optional string` + - `service_tier: optional string or null` When `group_by=service_tier`, this field provides the service tier of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18108,19 +18132,19 @@ Get code interpreter sessions usage details for the organization. - `"organization.usage.embeddings.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18140,19 +18164,19 @@ Get code interpreter sessions usage details for the organization. - `"organization.usage.moderations.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18172,27 +18196,27 @@ Get code interpreter sessions usage details for the organization. - `"organization.usage.images.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `size: optional string` + - `size: optional string or null` When `group_by=size`, this field provides the image size of the grouped usage result. - - `source: optional string` + - `source: optional string or null` When `group_by=source`, this field provides the source of the grouped usage result, possible values are `image.generation`, `image.edit`, `image.variation`. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18212,19 +18236,19 @@ Get code interpreter sessions usage details for the organization. - `"organization.usage.audio_speeches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18244,19 +18268,19 @@ Get code interpreter sessions usage details for the organization. The number of seconds processed. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18272,7 +18296,7 @@ Get code interpreter sessions usage details for the organization. The vector stores usage in bytes. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. @@ -18288,7 +18312,7 @@ Get code interpreter sessions usage details for the organization. - `"organization.usage.code_interpreter_sessions.result"` - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. @@ -18304,19 +18328,19 @@ Get code interpreter sessions usage details for the organization. - `"organization.usage.file_searches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. - - `vector_store_id: optional string` + - `vector_store_id: optional string or null` When `group_by=vector_store_id`, this field provides the vector store ID of the grouped usage result. @@ -18336,23 +18360,23 @@ Get code interpreter sessions usage details for the organization. - `"organization.usage.web_searches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `context_level: optional string` + - `context_level: optional string or null` When `group_by=context_level`, this field provides the search context size of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18376,19 +18400,19 @@ Get code interpreter sessions usage details for the organization. The numeric value of the cost. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API Key ID of the grouped costs result. - - `line_item: optional string` + - `line_item: optional string or null` When `group_by=line_item`, this field provides the line item of the grouped costs result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped costs result. - - `quantity: optional number` + - `quantity: optional number or null` When `group_by=line_item`, this field provides the quantity of the grouped costs result. @@ -18396,7 +18420,7 @@ Get code interpreter sessions usage details for the organization. - `has_more: boolean` -- `next_page: string` +- `next_page: string or null` - `object: "page"` @@ -18590,11 +18614,11 @@ Get completions usage details for the organization. The aggregated number of output tokens used across text, audio, and image outputs. For customers subscribed to Scale Tier, this includes Scale Tier tokens. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `batch: optional boolean` + - `batch: optional boolean or null` When `group_by=batch`, this field tells whether the grouped usage result is batch or not. @@ -18634,7 +18658,7 @@ Get completions usage details for the organization. The aggregated number of uncached input tokens used across text, audio, and image inputs, excluding cache-write tokens. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. @@ -18650,15 +18674,15 @@ Get completions usage details for the organization. The aggregated number of text output tokens used. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `service_tier: optional string` + - `service_tier: optional string or null` When `group_by=service_tier`, this field provides the service tier of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18678,19 +18702,19 @@ Get completions usage details for the organization. - `"organization.usage.embeddings.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18710,19 +18734,19 @@ Get completions usage details for the organization. - `"organization.usage.moderations.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18742,27 +18766,27 @@ Get completions usage details for the organization. - `"organization.usage.images.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `size: optional string` + - `size: optional string or null` When `group_by=size`, this field provides the image size of the grouped usage result. - - `source: optional string` + - `source: optional string or null` When `group_by=source`, this field provides the source of the grouped usage result, possible values are `image.generation`, `image.edit`, `image.variation`. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18782,19 +18806,19 @@ Get completions usage details for the organization. - `"organization.usage.audio_speeches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18814,19 +18838,19 @@ Get completions usage details for the organization. The number of seconds processed. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18842,7 +18866,7 @@ Get completions usage details for the organization. The vector stores usage in bytes. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. @@ -18858,7 +18882,7 @@ Get completions usage details for the organization. - `"organization.usage.code_interpreter_sessions.result"` - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. @@ -18874,19 +18898,19 @@ Get completions usage details for the organization. - `"organization.usage.file_searches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. - - `vector_store_id: optional string` + - `vector_store_id: optional string or null` When `group_by=vector_store_id`, this field provides the vector store ID of the grouped usage result. @@ -18906,23 +18930,23 @@ Get completions usage details for the organization. - `"organization.usage.web_searches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `context_level: optional string` + - `context_level: optional string or null` When `group_by=context_level`, this field provides the search context size of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -18946,19 +18970,19 @@ Get completions usage details for the organization. The numeric value of the cost. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API Key ID of the grouped costs result. - - `line_item: optional string` + - `line_item: optional string or null` When `group_by=line_item`, this field provides the line item of the grouped costs result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped costs result. - - `quantity: optional number` + - `quantity: optional number or null` When `group_by=line_item`, this field provides the quantity of the grouped costs result. @@ -18966,7 +18990,7 @@ Get completions usage details for the organization. - `has_more: boolean` -- `next_page: string` +- `next_page: string or null` - `object: "page"` @@ -19153,11 +19177,11 @@ Get costs details for the organization. The aggregated number of output tokens used across text, audio, and image outputs. For customers subscribed to Scale Tier, this includes Scale Tier tokens. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `batch: optional boolean` + - `batch: optional boolean or null` When `group_by=batch`, this field tells whether the grouped usage result is batch or not. @@ -19197,7 +19221,7 @@ Get costs details for the organization. The aggregated number of uncached input tokens used across text, audio, and image inputs, excluding cache-write tokens. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. @@ -19213,15 +19237,15 @@ Get costs details for the organization. The aggregated number of text output tokens used. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `service_tier: optional string` + - `service_tier: optional string or null` When `group_by=service_tier`, this field provides the service tier of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -19241,19 +19265,19 @@ Get costs details for the organization. - `"organization.usage.embeddings.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -19273,19 +19297,19 @@ Get costs details for the organization. - `"organization.usage.moderations.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -19305,27 +19329,27 @@ Get costs details for the organization. - `"organization.usage.images.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `size: optional string` + - `size: optional string or null` When `group_by=size`, this field provides the image size of the grouped usage result. - - `source: optional string` + - `source: optional string or null` When `group_by=source`, this field provides the source of the grouped usage result, possible values are `image.generation`, `image.edit`, `image.variation`. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -19345,19 +19369,19 @@ Get costs details for the organization. - `"organization.usage.audio_speeches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -19377,19 +19401,19 @@ Get costs details for the organization. The number of seconds processed. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -19405,7 +19429,7 @@ Get costs details for the organization. The vector stores usage in bytes. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. @@ -19421,7 +19445,7 @@ Get costs details for the organization. - `"organization.usage.code_interpreter_sessions.result"` - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. @@ -19437,19 +19461,19 @@ Get costs details for the organization. - `"organization.usage.file_searches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. - - `vector_store_id: optional string` + - `vector_store_id: optional string or null` When `group_by=vector_store_id`, this field provides the vector store ID of the grouped usage result. @@ -19469,23 +19493,23 @@ Get costs details for the organization. - `"organization.usage.web_searches.result"` - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `context_level: optional string` + - `context_level: optional string or null` When `group_by=context_level`, this field provides the search context size of the grouped usage result. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`, this field provides the user ID of the grouped usage result. @@ -19509,19 +19533,19 @@ Get costs details for the organization. The numeric value of the cost. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API Key ID of the grouped costs result. - - `line_item: optional string` + - `line_item: optional string or null` When `group_by=line_item`, this field provides the line item of the grouped costs result. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped costs result. - - `quantity: optional number` + - `quantity: optional number or null` When `group_by=line_item`, this field provides the quantity of the grouped costs result. @@ -19529,7 +19553,7 @@ Get costs details for the organization. - `has_more: boolean` -- `next_page: string` +- `next_page: string or null` - `object: "page"` @@ -19721,11 +19745,11 @@ Get embeddings usage details for the organization. The aggregated number of output tokens used across text, audio, and image outputs. For customers subscribed to Scale Tier, this includes Scale Tier tokens. - - `api_key_id: optional string` + - `api_key_id: optional string or null` When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result. - - `batch: optional boolean` + - `batch: optional boolean or null` When `group_by=batch`, this field tells whether the grouped usage result is batch or not. @@ -19765,7 +19789,7 @@ Get embeddings usage details for the organization. The aggregated number of uncached input tokens used across text, audio, and image inputs, excluding cache-write tokens. - - `model: optional string` + - `model: optional string or null` When `group_by=model`, this field provides the model name of the grouped usage result. @@ -19781,15 +19805,15 @@ Get embeddings usage details for the organization. The aggregated number of text output tokens used. - - `project_id: optional string` + - `project_id: optional string or null` When `group_by=project_id`, this field provides the project ID of the grouped usage result. - - `service_tier: optional string` + - `service_tier: optional string or null` When `group_by=service_tier`, this field provides the service tier of the grouped usage result. - - `user_id: optional string` + - `user_id: optional string or null` When `group_by=user_id`
[...]
